Subject: Re: [RFC] back on nf_tables (plus compatibility layer)

From: Pablo Neira Ayuso <[email-masked]>
Date: Wed, 31 Oct 2012 16:42:16 +0100

On Wed, Oct 31, 2012 at 02:50:27PM +0100, Jan Engelhardt wrote:
> 
> On Friday 2012-10-26 13:04, Pablo Neira Ayuso wrote:
> >> 
> >> Meanwhile, I am on xtables2 that actually reproduces the set of
> >> _really important_ features that currently are in the setsockopt
> >> iptables, like atomic table replace and atomic dump.
> >> 
> >> I have updated to the newest tree, and the first set is
> >> available in the git repository at:
> >>   git://git.inai.de/linux xt2-20121025
> >
> >If you think this feature is important, checkout nf_tables and think
> >how to integrate this prototype code that provides atomic table
> >replacement to it.
> 
> I'd rather tinker with xt2.

You're are free spend your time on your pet project, but I warn you:
it will *extremely hard* to justify its inclusion into mainline.

As said, I don't think it makes sense to add two firewall
engines/interfaces for the same thing. And the compatibility layer
provides an utility with similar syntax and semantics to iptables.